<html>

<head>
<title>libogg - function - oggpack_write</title>
<link rel=stylesheet href="style.css" type="text/css">
</head>

<body bgcolor=white text=black link="#5555ff" alink="#5555ff" vlink="#5555ff">
<table border=0 width=100%>
<tr>
<td><p class=tiny>libogg documentation</p></td>
<td align=right><p class=tiny>libogg release 1.0 - 20000615</p></td>
</tr>
</table>

<h1>oggpack_write</h1>

<p><i>declared in "ogg/ogg.h";</i></p>

<p>This function writes bits into an <a href="oggpack_buffer.html">oggpack_buffer</a>.
<p>The oggpack_buffer must already be initialized for writing using <a href="oggpack_writeinit.html">oggpack_writeinit</a>.
<p>Only 32 bits can be written at a time.

<br><br>
<table border=0 color=black cellspacing=0 cellpadding=7>
<tr bgcolor=#cccccc>
	<td>
<pre><b>
void  oggpack_write(oggpack_buffer *b,unsigned long value,int bits);
</b></pre>
	</td>
</tr>
</table>

<h3>Parameters</h3>
<dl>
<dt><i>b</i></dt>
<dd>Buffer to be used for writing.</dd>
<dt><i>value</i></dt>
<dd>The data to be written into the buffer.  This must be 32 bits or fewer.</dd>
<dt><i>bits</i></dt>
<dd>The number of bits being written into the buffer.</dd>
</dl>


<h3>Return Values</h3>
<blockquote>
<li>
No values are returned.</li>
</blockquote>
<p>

<br><br>
<hr noshade>
<table border=0 width=100%>
<tr valign=top>
<td><p class=tiny>copyright &copy; 2000 xiph.org</p></td>
<td align=right><p class=tiny><a href="http://www.xiph.org/ogg/">Ogg Container Format</a></p></td>
</tr><tr>
<td><p class=tiny>libogg documentation</p></td>
<td align=right><p class=tiny>libogg release 1.0 - 20000615</p></td>
</tr>
</table>


</body>

</html>
